# Generated from DPLibrary-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name DPLibrary

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A ruby gem that is an API wrapper for the DPLA
License: MIT
URL: http://github.com/phereford/DPLibrary
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.3.0
# BuildRequires: rubygem(rspec) < 3.4
# BuildRequires: rubygem(rspec-its) >= 1.0
# BuildRequires: rubygem(rspec-its) < 2
# BuildRequires: rubygem(vcr) >= 2.4.0
# BuildRequires: rubygem(vcr) < 2.5
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(coveralls)
BuildArch: noarch

%description
Ruby API wrapper for the Digital Public Library of America API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.coveralls.yml
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/DPLibrary.gemspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.0-1
- Initial package
